Ask Your Question
1

SageMath-9.2 does not start with Jupyter on macOS 10.15.7

asked 2020-11-03 18:40:36 +0200

mignonph75 gravatar image

updated 2020-11-04 11:01:45 +0200

Hi

After upgrading from SageMath-9.1 to SageMath-9.2,

./sage -n jupyter fails

ModuleNotFoundError: No module named '_ssl'

The Jupyter notebook requires ssl, even if you do not use https. Install the openssl development packages in your system and then rebuild Python (sage -f python3).

I have tried to install ./sage --optional openssl.................................1.1.1g (not_installed) but it has failed :

[openssl-1.1.1g] Undefined symbols for architecture x86_64: .... [openssl-1.1.1g] ld: symbol(s) not found for architecture x86_64 [openssl-1.1.1g] clang: error: linker command failed with exit code 1 (use -v to see invocation)

However openssl is already installed via mac ports :

sudo port installed | grep openssl
openssl @1.1.1g_0 openssl @1.1.1h_0 (active) py36-openssl @19.1.0_1 (active) py38-openssl @19.1.0_1 (active)

Does anyone know how to fix this ?

Thank you

edit retag flag offensive close merge delete

Comments

I'm having this issue too (and I don't have a fix to suggest), but I didn't have this problem with 9.1, so I think there be something wrong with Sagemath-9.2.app.

telecomm gravatar imagetelecomm ( 2020-11-03 22:16:37 +0200 )edit

I am unable to duplicate this. Can you provide more information about your setup? I have homebrew installed, and I've tried both using its Python (3.8.6) and then also having Sage build its own Python. What does config.log say about openssl? Search for "Checking whether SageMath should install SPKG openssl".

John Palmieri gravatar imageJohn Palmieri ( 2020-11-04 01:38:57 +0200 )edit

@telecomm: I believe that the SageMath app will not have openssl installed because of licensing issues. If you build SageMath yourself, you can have more control over whether to use the system's Python, for example, which already may be built with openssl support.

John Palmieri gravatar imageJohn Palmieri ( 2020-11-04 01:42:24 +0200 )edit

I have a similar issue with ssl and have tried all of the other posts suggestions as I have sought ways to fix it. When I try building Sage (sage -f python3) it fails when assembling and configuring SciPy. My post submittal for this issue is here: https://ask.sagemath.org/question/54108/sagemath-92-on-mac-os-catalina-jupiter-will-not-launch-no-module-named-_ssl/ (https://ask.sagemath.org/question/541...)

My impression is it is not passing the local host "web" link to open for Jupiter rather than an openssl issue

JJ gravatar imageJJ ( 2020-11-04 02:16:32 +0200 )edit

Same issue when recompiling sage from sage-9.2.tar.gz

./configure --enable-openssl=yes

make

[patch-2.7.5] ld: symbol(s) not found for architecture x86_64

Since I have macports and hombres installed , I did

sudo mv /opt/local /opt/local_old

sudo mv /usr/local/Homebrew /usr/local/Homebrew_old

before typing make for sage

I don't know what is the cause of this in my system.

mignonph75 gravatar imagemignonph75 ( 2020-11-04 07:31:40 +0200 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2021-02-09 23:56:31 +0200

slelievre gravatar image

Use the fix_mac_sage script available at:

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2020-11-03 18:37:58 +0200

Seen: 1,892 times

Last updated: Feb 09